# For prerequisites running the following sample, visit https://help.aliyun.com/document_detail/611472.html

import dashscope
from dashscope import Generation
from http import HTTPStatus
import api

dashscope.api_key=api.api_key

response = Generation.call(
    model='qwen-v1',
    prompt='就当前的海洋污染的情况，写一份限塑的倡议书提纲，需要有理有据地号召大家克制地使用塑料制品'
)
# The response status_code is HTTPStatus.OK indicate success,
# otherwise indicate request is failed, you can get error code
# and message from code and message.
if response.status_code == HTTPStatus.OK:
    print(response.output)  # The output text
    print(response.usage)  # The usage information
else:
    print(response.code)  # The error code.
    print(response.message)  # The error message.


# {"text": "好的，以下是一份限塑的倡议书提纲，以理性有据的方式号召大家克制使用塑料制品：\n\n1. 什么是塑料污染？\n- 塑料污染指的是人类过度使用塑料制品，导致大量塑料垃圾被遗弃在海洋中，对海洋生态环境造成严重危害。\n- 塑料污染的危害包括：破坏海洋生态系统，导致生物多样性下降；阻碍海洋通道，影响渔业和航运；危及人类健康，影响饮用水安全等。\n\n2. 限塑的必要性\n- 为了保护海洋生态环境，我们需要限制塑料的使用，减少对海洋的污染。\n- 限制塑料使用并不是“不环保”，恰恰相反，限制塑料的使用可以更好地保护环境。\n- 我们可以采用可降解的替代品，如纸袋、竹篮等。\n\n3. 推广可降解替代品\n- 我们可以推广可降解的替代品，如纸袋、竹篮等，这些替代品不仅可以减少塑料的使用，而且可以促进环保和可持续发展。\n- 政府和企业可以采取一些措施，如提供奖励、加强宣传等，鼓励更多人使用可降解替代品。\n\n4. 鼓励大家节约使用塑料制品\n- 我们可以通过鼓励大家节约使用塑料制品，如减少一次性塑料餐具、购物袋等的使用，来减少塑料污染。\n- 政府和企业可以通过减免税收等方式，鼓励企业采用环保材料制品。\n\n5. 积极参与环保行动\n- 我们每个人都可以积极参与环保行动，如垃圾分类、节约用水、节能减排等，为环保事业做出贡献。\n- 政府和企业可以提供更多的环保服务和设施，以方便大家参与环保行动。\n\n希望这份提纲可以帮助大家更好地了解限塑的必要性，并鼓励大家克制使用塑料制品，为环保事业做出贡献。"}
# {"input_tokens": 51, "output_tokens": 629}


# 多轮对话
response=Generation.call(
    model='qwen-v1',
    prompt='能否缩短一些，只讲三点',
    history=[
        {
            "user": "就当前的海洋污染的情况，写一份限塑的倡议书提纲，需要有理有据地号召大家克制地使用塑料制品",
            "bot": "好的，以下是一份限塑的倡议书提纲，以理有据地号召大家克制地使用塑料制品：\n\n一、限塑背景\n塑料污染已成为全球环境问题之一，海洋污染更是其中严重的一环。塑料制品 的过量使用已经对海洋生态环境造成了严重破坏，对海洋生物的生存和繁殖造成了严重影响，威胁到了人类的生存环境和健康。因此，我们需要采取行动来限制塑料的使用，保护我们的海洋家园。\n\n二、塑料污染的危害\n1. 对海洋生态环境的破坏：塑料垃圾污染海洋，导致海洋生物生存环境恶化，尤其是对海鸟等候鸟的危害极大。\n2. 对海洋资源的影响：塑料垃圾会阻碍海洋生态系统中的光合作用和营养物质的循环，对海洋生物的生长和繁殖产生负面影响。\n3. 对人体健康的威胁：塑料垃圾会对人类的健康产生长期影响，例如通过食物链传递给人类。\n\n三、限塑的建议\n1. 减少使用塑料制品：除了餐具和厨具等必须使用塑料制品外，其他塑料制品的使用量应该尽量减少。\n2. 减少一次性塑料制品的使用：一次性塑料制品对环境造成的危害很大，应该尽量减少使 用。\n3. 购买可重复使用的商品：购买可重复使用的商品，例如纸袋和水瓶，以减少对塑料的需求。\n\n四、限塑的实践方式\n1. 节约使用塑料制品：可以选择自备餐具、带布袋子购物等方式减少塑料制品的使用。\n2. 推广环保理念：可以通过社交媒体和宣传资料等途径，宣传环保理念，鼓励更多人加入到限塑行动中来。\n\n五、总结\n限塑行动是我们保护海洋生态环境和生物多样性 的重要举措。让我们一起行动起来，从自己做起，克制地使用塑料制品，共同保护我们的地球家园。"
        }
        ]
        )

if response.status_code==HTTPStatus.OK:
    print(json.dumps(response.output, indent=4, ensure_ascii=False))
else:
    print('Code: %d, status: %s, message: %s' % (response.status_code, response.code, response.message))

def stream_output():
# 流式输出
    responses=Generation.call(
        model='qwen-v1',
        prompt='就当前的海洋污染的情况，写一份限塑的倡议书提纲，需要有理有据地号召大家克制地使用塑料制品',
        stream=True)

    for response in responses:
        if response.status_code==HTTPStatus.OK:
            print(json.dumps(response.output, indent=4, ensure_ascii=False))
        else:
            print('Code: %d, status: %s, message: %s' % (response.status_code, response.code, response.message))
